POST
https://api.examplary.ai/webhooksSubscribe a URL to events. Each event is sent as a signed POST request following the Standard Webhooks spec (https://www.standardwebhooks.com), using the returned secret.
Request body
urlstring· uri· max length: 2048required
The HTTPS URL that events are sent to as POST requests
scopestring· default: personal
`personal` webhooks receive events for your own actions and tests, `org` webhooks for the whole workspace (admins and owners only)
Allowed values:personalorg
resourcesarray string[]· max items: 100
Only receive events for these test IDs
eventsarray string[]· min items: 1required
The events to receive
Responses
400 — Validation Error
successbooleanrequired
Allowed values:false
errorarray any[]required
dataanyrequired
429 — Rate limit exceeded
Requirements
Rate limit
10 requests per minute per user.
User roles
This endpoint requires the teacher, admin, or owner role to be present.
OAuth scopes
This endpoint requires the webhooks:write scope to be present.